%global pypi_name social-auth-core
%global commitId 017935adfabec5121f1940ce1625520a3fab79fb

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        4.4.2
Release:        1%{?dist}
Summary:        Python social authentication made simple

License:        BSD
URL:            https://github.com/python-social-auth/social-core
Source0:        python-social-auth-core-017935adfabec5121f1940ce1625520a3fab79fb.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-cryptography >= 1.4
Requires:       python%{python3_pkgversion}-defusedxml >= 0.5.0rc1
Requires:       python%{python3_pkgversion}-oauthlib >= 1.0.3
Requires:       python%{python3_pkgversion}-pyjwt >= 2.0.0
Requires:       python%{python3_pkgversion}-python3-openid >= 3.0.10
Requires:       python%{python3_pkgversion}-requests >= 2.9.1
Requires:       python%{python3_pkgversion}-requests-oauthlib >= 0.6.1

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/social_core
%{python3_sitelib}/social_auth_core-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jul 07 2023 Satoe Imaishi <simaishi@redhat.com> - 4.4.2-1
- Update to 4.4.2

* Mon Apr 4 2022 Yanis Guenane <yguenane@redhat.com> - 3.4.0-3
- Provides extra openidconnect by default for 3.9

* Thu Mar 31 2022 Dimitri Savineau <dsavinea@redhat.com> - 3.4.0-2
- Provides extra openidconnect by default

* Mon Sep 13 2021 Evgeni Golov - 3.4.0-1
- Initial package.
